| Home | Libraries | People | FAQ | More

##### as_list

###### Description

Convert a fusion sequence to a `list`.

###### Synopsis

    template <typename Sequence>
    typename result_of::as_list<Sequence>::type
    as_list(Sequence& seq);

    template <typename Sequence>
    typename result_of::as_list<Sequence const>::type
    as_list(Sequence const& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`seq` | An instance of Sequence | The sequence to convert.

###### Expression Semantics

    as_list(seq);

Return type: `result_of::as_list``<Sequence>::type`

Semantics: Convert a fusion sequence, `seq`, to a `list`.

###### Header

    #include <boost/fusion/container/list/convert.hpp>
    #include <boost/fusion/include/as_list.hpp>

###### Example

    as_list(make_vector('x', 123, "hello"))